{{page-title "Dashboard"}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{capitalize (t "Dashboard")}}>
    <:content>
      {{#if this.hasIncompleteProfile}}
        <div class="m-3 mb-1 alert alert-profile-fill alert-warning" role="alert">
          {{t "profile-fill-in-message"}}

          <LinkTo @route="preferences.profile">
            {{t "profile-fill-in-message-link"}}
          </LinkTo>
        </div>
      {{/if}}

      <div class="row">
        <div class="col order-2 order-md-1">
          {{#if @model.teams}}
            <h4 class="ms-2">
              {{capitalize (t "teams")}}
            </h4>
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 mb-5 g-3">
              {{#each @model.teams as |team|}}
                <div class="col">
                  <Manage::CardTeam @record={{team}} @onDelete={{this.deleteRecord}} />
                </div>
              {{/each}}
            </div>
          {{/if}}
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}